org.jfree.chart.block

## Class LabelBlock

- java.lang.Object
- - org.jfree.chart.block.AbstractBlock
  - - org.jfree.chart.block.LabelBlock

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Block, Drawable, PublicCloneable

      public class LabelBlock
      extends AbstractBlock
      implements Block, PublicCloneable

  A block containing a label.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Paint` | `DEFAULT_PAINT` The default color.
    `(package private) static long` | `serialVersionUID` For serialization.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelBlock(java.lang.String label)` Creates a new label block.
    `LabelBlock(java.lang.String text, java.awt.Font font)` Creates a new label block.
    `LabelBlock(java.lang.String text, java.awt.Font font, java.awt.Paint paint)` Creates a new label block.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Size2D` | `arrange(java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the contents of the block, within the given constraints, and returns the block size.
    `java.lang.Object` | `clone()` Returns a clone of this `LabelBlock` instance.
    `void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the block.
    `java.lang.Object` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.lang.Object params)` Draws the block within the specified area.
    `boolean` | `equals(java.lang.Object obj)` Tests this `LabelBlock` for equality with an arbitrary object.
    `TextBlockAnchor` | `getContentAlignmentPoint()` Returns the content alignment point.
    `java.awt.Font` | `getFont()` Returns the font.
    `java.awt.Paint` | `getPaint()` Returns the paint.
    `RectangleAnchor` | `getTextAnchor()` Returns the text anchor (never `null`).
    `java.lang.String` | `getToolTipText()` Returns the tool tip text.
    `java.lang.String` | `getURLText()` Returns the URL text.
    `void` | `setContentAlignmentPoint(TextBlockAnchor anchor)` Sets the content alignment point.
    `void` | `setFont(java.awt.Font font)` Sets the font and regenerates the label.
    `void` | `setPaint(java.awt.Paint paint)` Sets the paint and regenerates the label.
    `void` | `setTextAnchor(RectangleAnchor anchor)` Sets the text anchor.
    `void` | `setToolTipText(java.lang.String text)` Sets the tool tip text.
    `void` | `setURLText(java.lang.String text)` Sets the URL text.

    - ### Methods inherited from class org.jfree.chart.block.AbstractBlock

      `arrange, calculateTotalHeight, calculateTotalWidth, drawBorder, getBorder, getBounds, getContentXOffset, getContentYOffset, getFrame, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBorder, setBounds, setFrame, setHeight, setID, setMargin, setMargin, setPadding, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.chart.block.Block

      `arrange, getBounds, getID, setBounds, setID`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      For serialization.
      See Also:
        Constant Field Values

    - #### DEFAULT_PAINT

          public static final java.awt.Paint DEFAULT_PAINT

      The default color.

  - ### Constructor Detail

    - #### LabelBlock

          public LabelBlock(java.lang.String label)

      Creates a new label block.
      Parameters:
        `label` - the label (`null` not permitted).

    - #### LabelBlock

          public LabelBlock(java.lang.String text,
                            java.awt.Font font)

      Creates a new label block.
      Parameters:
        `text` - the text for the label (`null` not permitted).
        `font` - the font (`null` not permitted).

    - #### LabelBlock

          public LabelBlock(java.lang.String text,
                            java.awt.Font font,
                            java.awt.Paint paint)

      Creates a new label block.
      Parameters:
        `text` - the text for the label (`null` not permitted).
        `font` - the font (`null` not permitted).
        `paint` - the paint (`null` not permitted).

  - ### Method Detail

    - #### getFont

          public java.awt.Font getFont()

      Returns the font.
      Returns:
        The font (never `null`).
      See Also:
        `setFont(Font)`

    - #### setFont

          public void setFont(java.awt.Font font)

      Sets the font and regenerates the label.
      Parameters:
        `font` - the font (`null` not permitted).
      See Also:
        `getFont()`

    - #### getPaint

          public java.awt.Paint getPaint()

      Returns the paint.
      Returns:
        The paint (never `null`).
      See Also:
        `setPaint(Paint)`

    - #### setPaint

          public void setPaint(java.awt.Paint paint)

      Sets the paint and regenerates the label.
      Parameters:
        `paint` - the paint (`null` not permitted).
      See Also:
        `getPaint()`

    - #### getToolTipText

          public java.lang.String getToolTipText()

      Returns the tool tip text.
      Returns:
        The tool tip text (possibly `null`).
      See Also:
        `setToolTipText(String)`

    - #### setToolTipText

          public void setToolTipText(java.lang.String text)

      Sets the tool tip text.
      Parameters:
        `text` - the text (`null` permitted).
      See Also:
        `getToolTipText()`

    - #### getURLText

          public java.lang.String getURLText()

      Returns the URL text.
      Returns:
        The URL text (possibly `null`).
      See Also:
        `setURLText(String)`

    - #### setURLText

          public void setURLText(java.lang.String text)

      Sets the URL text.
      Parameters:
        `text` - the text (`null` permitted).
      See Also:
        `getURLText()`

    - #### getContentAlignmentPoint

          public TextBlockAnchor getContentAlignmentPoint()

      Returns the content alignment point.
      Returns:
        The content alignment point (never `null`).
      Since:
        1.0.13

    - #### setContentAlignmentPoint

          public void setContentAlignmentPoint(TextBlockAnchor anchor)

      Sets the content alignment point.
      Parameters:
        `anchor` - the anchor used to determine the alignment point (never `null`).
      Since:
        1.0.13

    - #### getTextAnchor

          public RectangleAnchor getTextAnchor()

      Returns the text anchor (never `null`).
      Returns:
        The text anchor.
      Since:
        1.0.13

    - #### setTextAnchor

          public void setTextAnchor(RectangleAnchor anchor)

      Sets the text anchor.
      Parameters:
        `anchor` - the anchor (`null` not permitted).
      Since:
        1.0.13

    - #### arrange

          public Size2D arrange(java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

      Arranges the contents of the block, within the given constraints, and returns the block size.
      Specified by:
        `arrange` in interface `Block`
      Overrides:
        `arrange` in class `AbstractBlock`
      Parameters:
        `g2` - the graphics device.
        `constraint` - the constraint (`null` not permitted).
      Returns:
        The block size (in Java2D units, never `null`).

    - #### draw

          public void draw(java.awt.Graphics2D g2,
                           java.awt.geom.Rectangle2D area)

      Draws the block.
      Specified by:
        `draw` in interface `Drawable`
      Parameters:
        `g2` - the graphics device.
        `area` - the area.

    - #### draw

          public java.lang.Object draw(java.awt.Graphics2D g2,
                                       java.awt.geom.Rectangle2D area,
                                       java.lang.Object params)

      Draws the block within the specified area.
      Specified by:
        `draw` in interface `Block`
      Parameters:
        `g2` - the graphics device.
        `area` - the area.
        `params` - ignored (`null` permitted).
      Returns:
        Always `null`.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this `LabelBlock` for equality with an arbitrary object.
      Overrides:
        `equals` in class `AbstractBlock`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Returns a clone of this `LabelBlock` instance.
      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `AbstractBlock`
      Returns:
        A clone.
      Throws:
        `java.lang.CloneNotSupportedException` - if there is a problem cloning.